API reference / YouTube / Internationalization languages list
Internationalization languages list
Read-only YouTube Data API v3 i18nLanguages list endpoint.
1 credit per successful call
Errors are never charged
Request
GET
https://socialgraph.dev/api/v1/youtube/i18nLanguages
Send your API key as Authorization: Bearer YOUR_API_KEY.
Parameters go in the query string.
Parameters
| Name | Type | Description |
|---|---|---|
partrequired |
string | Required. Use snippet. |
hloptional |
string | Language for the language names. For example: es |
Code examples
Example response
{
"etag": "BWfamz4EkEUnBLn4e5RPGocAZbo",
"kind": "youtube#i18nLanguageListResponse",
"items": [
{
"id": "af",
"etag": "1OjwIvsEf9UstcR8l9SVbvsK8Qw",
"kind": "youtube#i18nLanguage",
"snippet": {
"hl": "af",
"name": "Afrikaans"
}
},
{
"id": "am",
"etag": "ptN1RQzFShVdKYWSazyl6Givu1Q",
"kind": "youtube#i18nLanguage",
"snippet": {
"hl": "am",
"name": "Amharic"
}
},
{
"id": "ar",
"etag": "GOvkz2ITW6w0y-0cigEa0BiHOac",
"kind": "youtube#i18nLanguage",
"snippet": {
"hl": "ar",
"name": "Arabic"
}
},
{
"id": "as",
"etag": "qq6RBDRnnlL26sMbNlNgGRzeHUA",
"kind": "youtube#i18nLanguage",
"snippet": {
"hl": "as",
"name": "Assamese"
}
},
{
"id": "az",
"etag": "uDg13IUyl-wwViQm18NMTW_ce0A",
"kind": "youtube#i18nLanguage",
"snippet": {
"hl": "az",
"name": "Azerbaijani"
}
}
]
}Errors
| Status | Meaning | Charged? |
|---|---|---|
| 401 | Missing, invalid or revoked API key | No |
| 402 | Not enough credits (insufficient_credits) | No |
| 404 | The account or post doesn't exist | No |
| 422 | Missing or invalid parameters | No |
| 502 / 503 | The data source is temporarily unavailable | No |
Try it live: Internationalization languages list
GET
🔒 Preset demo input. Live demos use the Google for Developers channel, youtube.com/@GoogleDevelopers. Sign up free to use your own.
More YouTube endpoints
GET
Activities list
Read-only YouTube Data API v3 activities list endpoint.
/api/v1/youtube/activities
1 credit / call
GET
Channel sections list
Read-only YouTube Data API v3 channelSections list endpoint.
/api/v1/youtube/channelSections
1 credit / call
GET
Channels list
Read-only YouTube Data API v3 channels list endpoint.
/api/v1/youtube/channels
1 credit / call
GET
Comment threads list
Read-only YouTube Data API v3 commentThreads list endpoint.
/api/v1/youtube/commentThreads
1 credit / call
GET
Comments list
Read-only YouTube Data API v3 comments list endpoint.
/api/v1/youtube/comments
1 credit / call
GET
Internationalization regions list
Read-only YouTube Data API v3 i18nRegions list endpoint.
/api/v1/youtube/i18nRegions
1 credit / call